[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomCheckGroup.OnItemClick

OnItemClick - event handler signalled when the mouse is clicked on one of the Items in the control.

## Declaration

Source position: extctrls.pp line 907

`public property TCustomCheckGroup.OnItemClick : TCheckGroupClicked read FOnItemClick write FOnItemClick;`

## Description

OnItemClick is a TCheckGroupClicked property used as the event handler signalled when a check box is clicked for the grouped edit control. Applications must implement and assign an object procedure using the signature in TCheckGroupClicked to respond to the input event.

## See also

TCheckGroupClicked |  | TCheckGroupClicked specifies a generic event handler method for a click in a check group.